curl --request POST \
--url https://api.qovery.com/admin/userSignUp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"type_of_use": "PERSONAL",
"qovery_usage": "<string>",
"company_name": "<string>",
"company_size": "1-10",
"user_role": "<string>",
"qovery_usage_other": "<string>",
"user_questions": "<string>",
"current_step": "<string>",
"dx_auth": true,
"infrastructure_hosting": "<string>"
}
'Send a Sign Up request containing the user information
curl --request POST \
--url https://api.qovery.com/admin/userSignUp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "<string>",
"last_name": "<string>",
"user_email": "<string>",
"type_of_use": "PERSONAL",
"qovery_usage": "<string>",
"company_name": "<string>",
"company_size": "1-10",
"user_role": "<string>",
"qovery_usage_other": "<string>",
"user_questions": "<string>",
"current_step": "<string>",
"dx_auth": true,
"infrastructure_hosting": "<string>"
}
'Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
PERSONAL, SCHOOL, WORK 1-10, 11-50, 51-200, 201-500, 500+ Sign up request stored
Was this page helpful?